Subject: Specification vs execution

From: categories <[email-masked]>
Date: Mon, 9 Feb 1998 17:28:26 -0400 (AST)

Date: Mon, 09 Feb 1998 15:13:29 +0100
From: Matthieu Amiguet <[email-masked]>

Hello!

I'm trying to learn category theory and understand its links to computer
science. One of my big questions is:

Is category theory a wonderful specification language, or is there any
executable stuff in it ?

All I've seen about application until now is specification or semantics
(which is already a lot!) but I wonder if anything else was ever done.
Thank you for any direct answer or any pointer to good texts about this.

					Matthieu Amiguet
					IIIA
					University of Neuchâtel (Switzerland)